# Class ValueDiff<T>

java.lang.Object
org.eclipse.core.databinding.observable.value.ValueDiff<T>

Type Parameters:
  `T` - the type of value being observed

All Implemented Interfaces:
  `IDiff`

public abstract class ValueDiff<T> extends Object implements IDiff

Since:
  1.0

## Constructor Summary

Constructors
Constructor
Description
`ValueDiff()`
Creates a value diff.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`abstract T`
`getNewValue()`
`abstract T`
`getOldValue()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ValueDiff

public ValueDiff()
Creates a value diff.

## Method Details

### getOldValue

public abstract T getOldValue()

Returns:
  the old value

### getNewValue

public abstract T getNewValue()

Returns:
  the new value

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`